#include <bits/stdc++.h>

using namespace std;

int main()  
{   
    long long n, k;
    cin >> n >> k;
    long long brp;
    int niz[2*n + 1];
    for(int x = 0; x < 2*n + 1; x++)
    {
        niz[x] = 0;
    }
    for(int i = 0; i < n; i++)
    {
        cin >> brp;
        niz[brp +n]++;
    }
    int br = 0;
    for(int j = 0; j < 2*n + 1; j++)
    {
        if(niz[j] >= k)
        {
            br++;
        }
    }
    cout << br << endl;

    for(int h = 0; h < 2*n + 1; h++)
    {
        if(niz[h] >= k)
        {
            cout << h - n << " ";
        }
    }
    return 0;
}